Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class LognormalSpecialGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.LognormalSpecialGen

    public class LognormalSpecialGen

extends RandomVariateGen

Implements methods for generating random variates from the lognormal distribution using an arbitrary normal random variate generator. The (non-static) `nextDouble` method calls the `nextDouble` method of the normal generator and takes the exponential of the result.

Constructor Summary
`LognormalSpecialGen(NormalGen g)` Create a lognormal random variate generator using the normal generator `g` and with the same parameters.

Method Summary
`double` | `nextDouble()` Generates a random number from the continuous distribution contained in this object.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LognormalSpecialGen

    public LognormalSpecialGen(NormalGen g)

  Create a lognormal random variate generator using the normal generator `g` and with the same parameters.

Method Detail

### nextDouble

    public double nextDouble()

  Description copied from class: `RandomVariateGen`
  Generates a random number from the continuous distribution contained in this object. By default, this method uses inversion by calling the `inverseF` method of the distribution object. Alternative generating methods are provided in subclasses.

  Overrides:
    `nextDouble` in class `RandomVariateGen`
  Returns:
    the generated value

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.